Subject: bug#3417 closed by Stefan Monnier <[email-masked]> (Re: bug#3417: c-mode uses font-lock-doc-face for /**)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 29 May 2009 16:05:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3417: c-mode uses font-lock-doc-face for /**

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
3417: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3417
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3417: c-mode uses font-lock-doc-face for /**
From: Stefan Monnier <[email-masked]>
To: Antoine Levitt <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 May 2009 12:01:38 -0400

> This behavior is certainly unexpected : I expect all comments to be
> fontified with the same face.  Am I right in thinking it's a bug ?

It's a feature. This comment format is used by doxygen (or somesuch).

        Stefan

Subject: c-mode uses font-lock-doc-face for /**
From: Antoine Levitt <[email-masked]>
To: [email-masked]
Date: Fri, 29 May 2009 16:45:42 +0200

Compare :
/**
some file
*/
with
/*
some file
*/

In the first case, font-lock-doc-face is used, in the second
font-lock-comment-face is.

The first example fontifies with doc-face only if there is just "/**" :
"/*", "/** " (with a space) or "/***", for instance, use the standard
comment-face.

This is using emacs 23.0.94.1, and was reproduced on emacs22 as well. C++
and obj-C aren't affected, and java also shows this behavior on "/***"" and
"/** "/

This behavior is certainly unexpected : I expect all comments to be
fontified with the same face. Am I right in thinking it's a bug ?

Antoine